Solve problems with the webshop

Webshops consist of many different parts, of which the Rentman webshop plugin is one. When your webshop doesn't work, the cause is within one of these parts. This can be caused by the webshop plugin, but also by another part of your webshop. It's also possible that the webshop plugin is not compatible with another part of your webshop.

Since your webshop runs on your own technical environment, we cannot directly identify the problem for you. You will have to identify the problem yourself, and find a solution for it. This article offers leads for helping you investigate.

If you encounter an (obvious) problem in the plugin which can be easily reproduced, contact our partner AppSys. They develop and manage the webshop plugin, and can help to solve the problem.

Possible issues

Theme

As with any Wordpress/WooCommerce webshop, the look of your webshop is largely determined by the theme that you install. It's possible that the theme contains functionalities that can't work together with functionalities in the Rentman plugin.

Example: A theme may allow you to add settings for a single delivery date. This may conflict with the from and until dates that can be set as part of the Rentman webshop plugin. In this case, an error will occur due to the settings of your theme.

(Automatic) updates of other parts

It could be that something spontaneously stops working, even though you didn't change anything.

It could be that some parts of your webshop (automatically) receive updates, which cause errors that weren't there before. Think of updates to WordPress, WooCommerce, or your hosting environment. In this case, you will have to investigate if and where a problem arised after updates of one or more parts. Rentman cannot offer support for this, since your webshop runs in your own technical environment.

The plugin can't work together with another part

It could be that your webshop works correctly when switching off the plugin, but that problems arise when you enable it again.

Some parts of your webshop may not correctly work together. In that case, they are incompatible with each other.

Frequently occuring error: The theme that you install contains specific functionalities that are not compatible with the Webshop plugin. There are many thousands of available themes, and it could be that a part of them is modified in such a way our plugin couldn't be prepared for.

Possible solutions

Always use the latest version of your parts

It's important that you always run the latest versions of the different parts of your webshop. To check this, you can do the following:

  1. Request a WooCommerce system status report.
    Go to the Admin environment of WordPress > WooCommerce > System Status

When you request this report, the following parts should be on the following versions:

  • PHP (version higher than 5.6)
  • WooCommerce (latest version)
  • Wordpress (latest version)
  • Rentman webshop plugin (latest version)

If one of these parts is not updated to the required version, make sure that they be updated.

My problem hasn't been solved

If, after following the leads in this article, you still haven't made any progress, you can contact our partner AppSys. They develop and manage the Webshop plugin, and can help you identify the problem and find a solution.

Was this article helpful?
0 out of 0 found this helpful

Comments

0 comments

Please sign in to leave a comment.